Questions on getting started / Linux version


#1

Ni mate Staff:
I am interested in using your sensor in animation development in Blender. There are a number of issues, but first, these are my potential specs:
Blender 2.79
Blender plug in (animation_delicode_ni-mate_tools.py)
Ubuntu 17.10
Delicode-NI-mate_1.20-ubuntu_i386.deb
USB Port 2.0 (Thinkpad T410)
Sensor:
Xtion Pro, Xtion Pro Live, Primesense Carmine 1.09 ?

I guess the first question is, will this work? Since I’m on linux I take it I need to use an older version of Ni mate. I downloaded version 1.2 from this site:


Do you have any plans on porting version 2.0 to linux? That would be great.

Does version 1.2 of Ni mate work with your current Blender plug-in?

The next issue is my laptop, being older, only has USB Port 2.0 available, which limits the sensors I can use. The ASUS Xtion2 will only work on USB Port 3.0. The Xtion Pro and Xtion Pro Live will work on USB 2.0 but seem to be a little hard to find.

Possibly Primesense Carmine 1.09 is a solution:
http://xtionprolive.com/primesense-carmine-1.09
however, I am a little leery, since it is owned by Apple and I wonder if it will work on Ubuntu. Does the Primesense Camine operate essentially the same as Xtion Pro Live ?

Thanks, any help would be appreciated.

Dennis


Welcome to the NI mate Forum
#2

I moved this in a new topic.

Do you have any plans on porting version 2.0 to linux? That would be great.

We considered Linux for 2.0 for a while and looked into how much work this would have been. At the time we estimated developer hours to be too expensive to be worthwhile and the Linux port was put on hold. For now we don’t have plans to push out a Linux version.

Does version 1.2 of Ni mate work with your current Blender plug-in?

Yes, it should work out of the box.

Does the Primesense Camine operate essentially the same as Xtion Pro Live ?

PrimeSense Carmine 1.08 does work exactly the same as XTion Pro Live, but the 1.09 is the short ranged version, and I don’t think NI mate works with that sensor. If I recall correctly, only the 1.08 is detected by NI mate, although I may be wrong. Another consideration is that some of the PrimeSense Carmines and Asus XTions may have had their firmware upgraded with a USB3 firmware patch. In this case it’s not certain they will continue to work in USB2 - we’ve had mixed results used these cameras in USB2 instead of USB3. However, the default firmware should work fine in USB2.

The XTion Pro and XTion Pro Live are also different - you’ll want the Pro Live version which has the color camera. Once again, I don’t think NI mate detects the non-Live version.